import { registerExtension } from 'vscode/extensions';

var manifest = {name:"git-base",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"0.10.x"},categories:["Other"],activationEvents:["*"],main:undefined,browser:"./dist/browser/extension.js",icon:"resources/icons/git.png",capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:true}},contributes:{commands:[{command:"git-base.api.getRemoteSources",title:"%command.api.getRemoteSources%",category:"Git Base API"}],menus:{commandPalette:[{command:"git-base.api.getRemoteSources",when:"false"}]},languages:[{id:"git-commit",aliases:["Git Commit Message","git-commit"],filenames:["COMMIT_EDITMSG","MERGE_MSG"],configuration:"./languages/git-commit.language-configuration.json"},{id:"git-rebase",aliases:["Git Rebase Message","git-rebase"],filenames:["git-rebase-todo"],filenamePatterns:["**/rebase-merge/done"],configuration:"./languages/git-rebase.language-configuration.json"},{id:"ignore",aliases:["Ignore","ignore"],extensions:[".gitignore_global",".gitignore",".git-blame-ignore-revs"],configuration:"./languages/ignore.language-configuration.json"}],grammars:[{language:"git-commit",scopeName:"text.git-commit",path:"./syntaxes/git-commit.tmLanguage.json"},{language:"git-rebase",scopeName:"text.git-rebase",path:"./syntaxes/git-rebase.tmLanguage.json"},{language:"ignore",scopeName:"source.ignore",path:"./syntaxes/ignore.tmLanguage.json"}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md"});
registerFileUrl('README.md', new URL('./resources/README.md', import.meta.url).toString(), 'text/markdown');
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), 'application/json');
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), 'application/json');
registerFileUrl('languages/git-commit.language-configuration.json', new URL('./resources/git-commit.language-configuration.json', import.meta.url).toString(), 'application/json');
registerFileUrl('languages/git-rebase.language-configuration.json', new URL('./resources/git-commit.language-configuration.json', import.meta.url).toString(), 'application/json');
registerFileUrl('languages/ignore.language-configuration.json', new URL('./resources/ignore.language-configuration.json', import.meta.url).toString(), 'application/json');
registerFileUrl('syntaxes/git-commit.tmLanguage.json', new URL('./resources/git-commit.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('syntaxes/git-rebase.tmLanguage.json', new URL('./resources/git-rebase.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('syntaxes/ignore.tmLanguage.json', new URL('./resources/ignore.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('dist/browser/extension.js', new URL('./resources/extension.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/extension', new URL('./resources/extension.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/extension.js.map', new URL('./resources/extension.js.map', import.meta.url).toString(), 'application/json');
registerFileUrl('resources/icons/git.png', new URL('./resources/git.png', import.meta.url).toString(), 'image/png');

export { whenReady };
